## dpkg 1.10.22ubuntu2

=== debian/changelog ===
dpkg (1.10.22ubuntu2) warty; urgency=low

  * Normalise library paths in dpkg-shlibdeps so we can resolve them
    correctly on both Hurd and AMD64.

 -- Scott James Remnant <scott@canonical.com>  Tue, 17 Aug 2004 11:39:43 +0100

dpkg (1.10.22ubuntu1) warty; urgency=low

  * Replace x86_64 architecture name with amd64.

 -- Scott James Remnant <scott.james.remnant@canonical.com>  Tue,  6 Jul 2004 15:24:20 +0100

dpkg (1.10.22) unstable; urgency=low

  The DebConf4 Release.

  This release is mostly intended to mop up the minor and trivial bug
  fixes in the list and clear out the documentation changes.  As such,
  it should be treated with even more suspicion than is normal.

  * Use colouring to break cycles earlier to avoid long loops whilst
    installing or configuring packages.  Closes: #232445, #246857.
  * Don't try to configure packages that disappeared in the same
    run.  Closes: #202997.
  * Fix segfault when "gcc -dumpmachine" returns a non-matching triplet.
    Closes: #211850.
  * Remove restriction that package names be at least two characters long.
    Closes: #237734.
  * Fix dpkg-source (actually controllib.pl) to output the field name
    properly again.  Closes: #226931, #246595.
  * Make dpkg-scanpackages output Origin and Bugs fields with proper
    casing.  Closes: #154422.
  * Add support for DOS line-endings to md5sum.  Closes: #246103.
  * Fix start-stop-daemon segfault on Hurd.  Closes: #133640.
  * Allow dpkg-shlibdeps to run as non-root users.  Closes: #96881.
  * Correct various compiler warnings.  Closes: #229766.

  * Architecture Support:
    - Added x86-64 (x86_64 / amd64).  Closes: #238483, #241938.
    - Added i?86-gnu (Hurd).  Closes: #216695, #236331.
    - Added i386-kfreebsd-gnu and i386-knetbsd-gnu.  Closes: #250176.
  * Packaging:
    - Create $(docdir) even when --without-sgml-doc is passed so the
      ChangeLog can be installed.  Closes: #137719.
    - Stop hardcoding the list of manual page languages in debian/rules,
      so we include Spanish, Russian and Brazilian Portugese.  Closes: #245994.
    - Quote LDFLAGS in debian/rules to allow multiple options.
      Closes: #230242.
  * Documentation:
    - Move dpkg-scanpackages and dpkg-scansources to section 1 as they
      are user tools.  Closes: #114946.
    - Correct hyphen characters in manpages.  Closes: #212284, #247086, #226800.
    - Remove obsolete references to the Debian Packaging Manual.
      Closes: #122910, #140695.
    - Correct 'n' and 'p' key descriptions in dselect help message.
      Closes: #120562.
    - Add --force-bad-verify to dpkg manpage.  Closes: #192812.
    - Correct dpkg manpage to refer to --force-remove-reinstreq instead of
      -non-existant --force-reinstreq option.  Closes: #232831.
    - Correct documentation of --compare-versions arguments.  Closes: #232317.
    - Correct usage of "et al" to "et al.".  Closes: #230751.
    - Add dpkg-reconfigure(8) to SEE ALSO section of dpkg(8).  Closes: #233282.
    - Suggest packages that provide additional functionality in the dpkg
      manpage.  Closes: #81355.
    - Suggest dselect update in description of dpkg --update-avail.
      Closes: #206163.
    - Suggest aptitude as well as dselect.  Closes: #217042.
    - Suggest fakeroot for dpkg-source -r.  Closes: #175897.
    - Correct documentation of start-stop-daemon.  Closes: #41554, #211856.
    - Correct documentation of start-stop-daemon manpage to refer to --retry
      alongside --stop.  Closes: #204691.
    - Add note that start-stop-daemon will chdir("/") unless -d is specified.
      Closes: #217823, #218060.
    - Correct documentation of dpkg-query --list.  Closes: #232639.
    - Correct invalid use of &quot; within update-alternatives(8) with .BR.
      Closes: #244624.
    - Rewrite description of dpkg-source -i to indicate the intent of the
      default setting rather than the exact exclusions.  Closes: #227169.
    - Correct documentation of dpkg-statoverride --update.  Closes: #85079.
    - Correct documentation of update-alternatives --install.  Closes: #179648.
    - Documented dpkg:Version and dpkg:UpstreamVersion substvars.
      Closes: #85815, #85818.
    - Fix spelling error in utils/md5sum.1.  Closes: #250281.
    - Replace "&c." with the slightly clearer "etc.".  Closes: #235773.
    - Correct various typos.  Closes: #219623, #221235.
  * Updated Translations:
    - Catalan (Jordi Mallach).
    - French (Christian Perrier).  Closes: #246359.
    - Italian (Lele Gaifax).
    - Japanese manpages (KISE Hiroshi).  Closes: #248483.
    - Russian (Nikolai Prokoschenko).  Closes: #249254.
    - Spanish manpages (Ruben Porras).  Closes: #246158, #246159, #246160,
      #246161, #246162, #246163, #251830.
  * New Translations:
    - German start-stop-daemon and update-alternatives manpages
      (Helge Kreutzmann).  Closes: #247116, #249454.
    - Spanish dpkg-scansources manpage (Ruben Porras).  Closes: #246164.

 -- Scott James Remnant <scott@netsplit.com>  Tue,  1 Jun 2004 18:21:40 -0300

=== debian/rules ===
#!/usr/bin/make -f
# vim: nowrap ts=8

# Build locations
BUILD		:= $(CURDIR)/build
TMP		:= $(CURDIR)/debian/tmp
INSTALL_TMP	:= $(TMP)/install
TMP_DPKG	:= $(TMP)/dpkg
TMP_DPKG_DEV	:= $(TMP)/dpkg-dev
TMP_DPKG_DOC	:= $(TMP)/dpkg-doc
TMP_DSELECT 	:= $(TMP)/dselect

# We should really get this in a different way...
DEB_BUILD_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE 2> /dev/null || true)
DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE 2> /dev/null || true)
arch			:= $(shell dpkg-architecture -qDEB_HOST_ARCH)

GENCONTROL	:= perl -I $(CURDIR)/scripts $(BUILD)/scripts/dpkg-gencontrol -isp
SHLIBDEPS	:= perl -I $(CURDIR)/scripts $(BUILD)/scripts/dpkg-shlibdeps

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
  config_arg	:= --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
else
  config_arg	:=
endif

BUILD-DIRS	:= $(BUILD) $(BUILD)-static

# Hacky, but effective
MANDIRS := $(shell sed -n -e '/^SUBDIRS/{s/.*= *//;s/ en / /;p}' $(CURDIR)/man/Makefile.in)

aclocal.m4: $(wildcard automake/*.m4)
	aclocal -I automake

# The following 2 rules should only be run, if their dependants have
# been modified.  For clean builds, this won't happen.  Only if the
# builder has modified these files after extraction.

configure: configure.in aclocal.m4
	autoconf

config.h.in: configure.in
	autoheader

config.guess config.sub: %: /usr/share/misc/%
	cp -a $< $@.new
	mv $@.new $@

# Setup the buildlocation
$(BUILD)/configure-stamp: configure config.h.in config.guess config.sub
	$(checkdir)
	install -d $(@D)
	cd $(@D) && LDFLAGS="$(LDFLAGS)" $(shell echo "$(patsubst $(CURDIR)/%,%,$(@D))" | sed -e 's,^[^/][^/]*$$,..,;s,/[^/][^/]*,/..,g' )/configure \
		--prefix=/usr \
		--datadir=/usr/share \
		--mandir=/usr/share/man \
		--infodir=/usr/share/info \
		--sysconfdir=/etc \
		--sharedstatedir=/var/lib \
		--localstatedir=/var/lib \
		--with-admindir=/var/lib/dpkg \
		--with-zlib=static \
		--with-static-progs \
		$(config_arg)
	touch $@

clean:
	$(checkdir)
	rm -f debian/files debian/substvars
	rm -f debian/dpkg.substvars debian/dpkg-static.substvars
	rm -fr autom4te.cache
	rm -fr $(BUILD-DIRS) $(TMP)
	rm -f po/{cat-id-tbl.c,stamp-cat-id,*.gmo}
	rm -f stamp-build stamp-binary

build: stamp-build

stamp-build: $(BUILD)/configure-stamp
	$(MAKE) $(MFLAGS) -C $(BUILD)
#	touch $@

binary-static: binary-arch-static
binary: binary-arch binary-indep

stamp-binary-static: stamp-binary
stamp-binary: stamp-build
	$(checkdir)
	test "`id -u`" -eq 0
	rm -rf $(TMP)
	$(MAKE) $(MFLAGS) -C $(BUILD)$* \
		DESTDIR=$(INSTALL_TMP) \
		install
	find $(TMP) -type d | xargs chmod 755
	touch $@

binary-dpkg-static-most:	TMP_DPKG=$(TMP)/dpkg-static
binary-dpkg-static-most:	static=-static
binary-dpkg-static:		TMP_DPKG=$(TMP)/dpkg-static
binary-dpkg-static:		static=-static

binary-dpkg-most binary-dpkg-static-most: binary-dpkg%-most: stamp-binary%
	rm -rf $(TMP_DPKG)
	install -d -m 755 -o root -g root $(TMP_DPKG)
	chmod g-s $(TMP_DPKG)
	install -d -m 755 -o root -g root $(TMP_DPKG)/usr/share/doc/dpkg$(static)
	install -d -m 755 -o root -g root $(TMP_DPKG)/usr/lib/dpkg
	install -d -m 755 -o root -g root $(TMP_DPKG)/usr/bin
	install -d -m 755 -o root -g root $(TMP_DPKG)/sbin
	install -d -m 755 -o root -g root $(TMP_DPKG)/var/lib/dpkg
	-test -d $(INSTALL_TMP)/etc && cp -a $(INSTALL_TMP)/etc $(TMP_DPKG)/
	set -e ; for i in info alternatives parts updates ; do \
		cp -a $(INSTALL_TMP)/var/lib/dpkg/$$i $(TMP_DPKG)/var/lib/dpkg/ ; \
	done
	cp -a $(INSTALL_TMP)/usr/sbin $(TMP_DPKG)/usr/
	mv $(TMP_DPKG)/usr/sbin/start-stop-daemon $(TMP_DPKG)/sbin/
	cp -a $(INSTALL_TMP)/usr/lib/dpkg/mksplit $(TMP_DPKG)/usr/lib/dpkg/
	cp -a $(INSTALL_TMP)/usr/lib/dpkg/enoent $(TMP_DPKG)/usr/lib/dpkg/
	cp -a $(INSTALL_TMP)/usr/share/locale $(TMP_DPKG)/usr/share/
	cp -a $(INSTALL_TMP)/usr/share/dpkg $(TMP_DPKG)/usr/share/
	set -e ; for i in dpkg-split dpkg-query ; do \
		cp -a $(INSTALL_TMP)/usr/bin/$$i $(TMP_DPKG)/usr/bin/ ; \
	done
	set -e ; for i in dpkg dpkg-deb md5sum ; do \
		cp -a $(INSTALL_TMP)/usr/bin/$$i$(static) $(TMP_DPKG)/usr/bin/$$i ; \
	done
	set -e ; for i in ChangeLog THANKS TODO copyright; do \
		cp -a $(INSTALL_TMP)/usr/share/doc/dpkg/$$i $(TMP_DPKG)/usr/share/doc/dpkg$(static)/ ; \
	done
	cp -a debian/pseudo-tags $(TMP_DPKG)/usr/share/doc/dpkg$(static)/
	set -e ; for i in "" $(MANDIRS) ; do \
		install -d -m 755 -o root -g root $(TMP_DPKG)/usr/share/man/$$i/man1 ; \
		for m in md5sum.1 dpkg-deb.1 ; do \
			if [ -f $(INSTALL_TMP)/usr/share/man/$$i/man1/$$m ] ; then \
				cp -a $(INSTALL_TMP)/usr/share/man/$$i/man1/$$m $(TMP_DPKG)/usr/share/man/$$i/man1/$$m ; \
			fi ; \
		done ; \
		install -d -m 755 -o root -g root $(TMP_DPKG)/usr/share/man/$$i/man5 ; \
		for m in dpkg.cfg.5 ; do \
			if [ -f $(INSTALL_TMP)/usr/share/man/$$i/man5/$$m ] ; then \
				cp -a $(INSTALL_TMP)/usr/share/man/$$i/man5/$$m $(TMP_DPKG)/usr/share/man/$$i/man5/$$m ; \
			fi ; \
		done ; \
		install -d -m 755 -o root -g root $(TMP_DPKG)/usr/share/man/$$i/man8 ; \
		for m in dpkg.8 dpkg-query.8 dpkg-split.8 start-stop-daemon.8 \
		    	cleanup-info.8 dpkg-divert.8 dpkg-statoverride.8 \
			install-info.8 update-alternatives.8 ; do \
			if [ -f $(INSTALL_TMP)/usr/share/man/$$i/man8/$$m ] ; then \
				cp -a $(INSTALL_TMP)/usr/share/man/$$i/man8/$$m $(TMP_DPKG)/usr/share/man/$$i/man8/$$m ; \
			fi ; \
		done ; \
	done

# Now that dpkg has been installed, Debianize it
# Policy stuff
	find $(TMP_DPKG)/usr/share/man -type f | xargs gzip -9f
	strip --remove-section=.comment --remove-section=.note \
		--strip-unneeded $(TMP_DPKG)/usr/bin/* $(TMP_DPKG)/sbin/* \
		$(TMP_DPKG)/usr/lib/dpkg/enoent
	mv $(TMP_DPKG)/usr/share/doc/dpkg$(static)/ChangeLog \
		$(TMP_DPKG)/usr/share/doc/dpkg$(static)/changelog

	install -p -m 644 -o root -g root debian/changelog \
		$(TMP_DPKG)/usr/share/doc/dpkg$(static)/changelog.Debian
	rm -f $(TMP_DPKG)/usr/share/doc/dpkg$(static)/copyright
	gzip -9 $(TMP_DPKG)/usr/share/doc/dpkg$(static)/*
	install -p -m 644 -o root -g root debian/dpkg.cfg \
		$(TMP_DPKG)/usr/share/doc/dpkg$(static)/
	install -p -m 644 -o root -g root debian/copyright \
		$(TMP_DPKG)/usr/share/doc/dpkg$(static)/

# Final package creation
	install -d -m 755 -o root -g root $(TMP_DPKG)/DEBIAN
	install -p -m 644 -o root -g root debian/dpkg.conffiles $(TMP_DPKG)/DEBIAN/conffiles
	install -p -m 755 -o root -g root debian/dpkg.preinst $(TMP_DPKG)/DEBIAN/preinst
	install -p -m 755 -o root -g root debian/dpkg.prerm $(TMP_DPKG)/DEBIAN/prerm
	install -p -m 755 -o root -g root debian/dpkg.postinst $(TMP_DPKG)/DEBIAN/postinst
	install -p -m 755 -o root -g root debian/dpkg.postrm $(TMP_DPKG)/DEBIAN/postrm

	$(SHLIBDEPS) -dPre-Depends -Tdebian/dpkg$(static).substvars \
		$(TMP_DPKG)/sbin/start-stop-daemon \
		`test -z "$(static)" && echo $(TMP_DPKG)/usr/bin/dpkg $(TMP_DPKG)/usr/bin/md5sum $(TMP_DPKG)/usr/bin/dpkg-deb`

binary-dpkg binary-dpkg-static: %: %-most
	$(GENCONTROL) -Tdebian/dpkg$(static).substvars -pdpkg$(static) -P$(TMP_DPKG)
	dpkg --build $(TMP_DPKG) ..

binary-dpkg-dev: stamp-binary
	rm -rf $(TMP_DPKG_DEV)
	install -d -m 755 -o root -g root $(TMP_DPKG_DEV)
	chmod g-s $(TMP_DPKG_DEV)
	install -d -m 755 -o root -g root $(TMP_DPKG_DEV)/etc/dpkg
	install -p -m 644 -o root -g root debian/shlibs.default \
		$(TMP_DPKG_DEV)/etc/dpkg/
	install -p -m 644 -o root -g root debian/shlibs.override \
		$(TMP_DPKG_DEV)/etc/dpkg/
	install -d -m 755 -o root -g root $(TMP_DPKG_DEV)/usr/lib/dpkg
	install -d -m 755 -o root -g root $(TMP_DPKG_DEV)/usr/share
	install -d -m 755 -o root -g root $(TMP_DPKG_DEV)/usr/bin
	mv $(INSTALL_TMP)/usr/lib/dpkg/parsechangelog $(TMP_DPKG_DEV)/usr/lib/dpkg/
	mv $(INSTALL_TMP)/usr/lib/dpkg/controllib.pl $(TMP_DPKG_DEV)/usr/lib/dpkg/
	set -e ; for i in dpkg-name dpkg-source dpkg-genchanges dpkg-gencontrol \
		dpkg-shlibdeps dpkg-buildpackage dpkg-distaddfile 822-date \
		dpkg-scanpackages dpkg-scansources dpkg-architecture \
		dpkg-parsechangelog dpkg-checkbuilddeps ; do \

## dpkg 1.10.22ubuntu2.1

=== debian/changelog ===
dpkg (1.10.22ubuntu2.1) warty-security; urgency=low

  * SECURITY UPDATE: Rebuild against new zlib version to fix zlib
    vulnerabilities CAN-2005-1849 and CAN-2005-2096.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 21 Jul 2005 11:30:16 +0000

=== debian/control ===
Source: dpkg
Section: base
Priority: required
Maintainer: Scott James Remnant <scott@netsplit.com>
Origin: debian
Bugs: debbugs://bugs.debian.org
Standards-Version: 3.5.8
Build-Depends: debiandoc-sgml, sgml-base (>= 1.9.1), sgmltools-lite, libncurses-dev, gettext (>= 0.12.1-3), zlib1g-dev (>= 1:1.1.3-19.1), autotools-dev

Package: dpkg
Architecture: any
Essential: yes
Pre-Depends: dselect, ${shlibs:Pre-Depends}
Conflicts: sysvinit (<< 2.82-1), dpkg-iasearch (<< 0.11), dpkg-static, dpkg-dev (<< 1.10)
Replaces: dpkg-doc-ja, dpkg-static, manpages-de (<= 0.4-3)
Description: Package maintenance system for Debian
 This package contains the programs which handle the installation and
 removal of packages on your system.
 .
 The primary interface for the dpkg suite is the `dselect' program;
 a more low-level and less user-friendly interface is available in
 the form of the `dpkg' command.
 .
 In order to unpack and build Debian source packages you will need to
 install the developers' package `dpkg-dev' as well as this one.

Package: dpkg-static
Architecture: any
Priority: optional
Pre-Depends: dselect, ${shlibs:Pre-Depends}
Replaces: dpkg-doc-ja, dpkg, manpages-de (<= 0.4-3)
Conflicts: sysvinit (<< 2.82-1), dpkg-iasearch (<< 0.11), dpkg, dpkg-dev (<< 1.10)
Provides: dpkg
Description: Package maintenance system for Debian (static compile)
 This package contains the programs which handle the installation and
 removal of packages on your system.
 .
 The primary interface for the dpkg suite is the `dselect' program;
 a more low-level and less user-friendly interface is available in
 the form of the `dpkg' command.
 .
 In order to unpack and build Debian source packages you will need to
 install the developers' package `dpkg-dev' as well as this one.
 .
 This version has a dpkg binary that is linked statically.

Package: dpkg-dev
Section: utils
Priority: standard
Architecture: all
Depends: perl5, perl-modules, cpio (>= 2.4.2-2), patch (>= 2.2-1), make, binutils
Recommends: c-compiler
Suggests: gnupg, debian-keyring
Conflicts: dpkgname
Replaces: dpkgname, dpkg (<< 1.4.1.8), dpkg-doc-ja
Description: Package building tools for Debian
 This package contains the tools (including dpkg-source) required to
 unpack, build and upload Debian source packages.
 .
 Most Debian source packages will require additional tools to build -
 for example, most packages need the `make' and the C compiler `gcc'.

Package: dpkg-doc
Section: doc
Priority: optional
Architecture: all
Replaces: dpkg-dev (<<1.4.1.19)
Description: Dpkg Internals Documentation
 This document describes the internal operations of the dpkg program. It
 covers building as well as the internals functions. If you are interested
 in creating your own packages, then you may be more interested in the
 debian-policy package.

Package: dselect
Architecture: any
Depends: ${shlibs:Depends}
Replaces: dpkg (<< 1.10.3)
Description: a user tool to manage Debian packages
 dselect is the primary user interface for installing, removing and
 managing Debian packages. It is a front-end to dpkg.

## dpkg 1.10.25

=== debian/changelog ===
dpkg (1.10.25) unstable; urgency=low

  The "你他媽的天下所有的人都該死" Release.

  This release is to correct the mangled Simplified Chinese translation
  included in 1.10.24 caused by rebellion of the translator's mail client.

  * Updated Translations (Christian Perrier):
    - Dutch (Bart Cornelis).  Closes: #278700.
    - Polish (Bartosz Fenski).  Closes: #280406.
    - Simplified Chinese (Tchaikov, Carlos Liu).  Closes: #278676.

 -- Scott James Remnant <scott@netsplit.com>  Thu, 11 Nov 2004 20:06:57 +0000

dpkg (1.10.24) unstable; urgency=low

  The "Donald, where's your troosers?" Release.

  * Add support for uncompressed data.tar archive members and bzip2-
    compressed data.tar.bz2 members of binary packages.  Closes: #34727.

  * New Translations (Christian Perrier):
    - Basque (Piarres Beobide).  Closes: #265491.
    - Greek (George Papamichelakis).  Closes: #260809.
    - Hebrew (Lior Kaplan).  Closes: #275267.
    - Simplified Chinese (Tchaikov, Carlos Liu).  Closes: #265197.
  * Updated Translations (Christian Perrier):
    - Brazilian Portuguese (Andre Luis Lopes).  Closes: #260964, #273947,
      #278063.
    - Czech (Miroslav Kure).  Closes: #255904, #278178.
    - Catalan (Jordi Mallach).  Closes: #278098.
    - Danish (Claus Hindsgaul).  Closes: #278097.
    - Dutch (Bart Cornelis).  Closes: #268271, #268886, #274366, #278061.
    - Galician (Hector Fernandez).
    - German (Michael Piefel).  Closes: #276462, #278168.
    - French (Christian Perrier).
    - Japanese (Kenshi Muto).  Closes: #272456, #278141.
    - Italian (Lele Gaifax).
    - Korean (Changwoo Ryu).  Closes: #261528, #278142.
    - Norwegian Nynorsk (Håvard Korsvoll).  Closes: #275387, #278286.
    - Polish (Bartosz Fenski).  Closes: #268452, #278064.
    - Portuguese (Miguel Figueiredo).  Closes: #268266, #261424, #261519,
      #278294.
    - Russian (Yuri Kozlov).  Closes: #268452, #278154.
    - Spanish (Javier Fernández-Sanguino Peña).  Closes: #277173, #278117.
    - Swedish (Peter Karlsson).
  * Updated Manpage Translations (Christian Perrier):
    - French (Philippe Batailler).  Closes: #268048.
    - Spanish (Ruben Porras).  Closes: #261807.
    - Swedish (Peter Karlsson).

 -- Scott James Remnant <scott@netsplit.com>  Wed, 27 Oct 2004 09:25:58 +0100

dpkg (1.10.23) unstable; urgency=low

  The "Let the Wookie win" Release.

  * Updated hurd start-stop-daemon support.  Closes: #133640, #254180.
  * Removed usage of non-POSIX test options.  Closes: #256302.

  * Architecture Support:
    - Renamed x86-64 to amd64.  Closes: #252346, #254598.
  * Documentation:
    - Correct typo in dpkg-divert(8).  Closes: #254175.
  * New Translations:
    - Korean (Changwoo Ryu).  Closes: #254590.
  * Updated Translations:
    - Catalan (Jordi Mallach).
    - Danish (Claus Hindsgaul).  Closes: #252407.
    - French (Christian Perrier).  Closes: #252586.
    - Italian (Lele Gaifax).
    - Polish (Bartosz Fenski).  Closes: #254209.
    - Spanish manpages (Ruben Porras).  Closes: #246158, #246159, #246160,
      #246161, #246162, #246163, #246164.

 -- Scott James Remnant <scott@netsplit.com>  Mon, 19 Jul 2004 19:52:14 +0100

## dpkg 1.10.27ubuntu1

=== debian/changelog ===
dpkg (1.10.27ubuntu1) hoary; urgency=low

  * Take Replaces into account when installing packages; don't issue a
    "trying to overwrite" error if the file that already exists is in
    a package that Replaces the one being installed.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 17 Mar 2005 02:19:23 +0000

dpkg (1.10.27) unstable; urgency=low

  The "Grab your gun and bring in the cat" Release.

  * New Translations (Christian Perrier):
    - Indonesian (Arief S Fitrianto).
    - Norwegian Bokmal (Bjorn Steensrud).
  * Updated Translations (Christian Perrier):
    - Dutch (confusing option corrected by Christian Perrier).
    - Galician (Jacobo Tarrio).
    - Korean (Seo Sanghyeon).
    - Simplified Chinese (Carlos Liu).
    - Traditional Chinese (Asho Yeh).

 -- Scott James Remnant <scott@netsplit.com>  Thu, 10 Feb 2005 15:10:22 +0000

dpkg (1.10.26ubuntu1) hoary; urgency=low

  * build with extended status-fd output (needed for synaptic)
    (from michael.vogt@canonical.com--2004/dpkg--stable-mvo--1.10,
     http://people.ubuntu.com/~mvo/arch/laptop)

 -- Michael Vogt <mvo@debian.org>  Wed, 19 Jan 2005 22:11:55 +0100

dpkg (1.10.26) unstable; urgency=low

  The "Captain Tight-Pants" Release.

  * Fix incorrect claim that 'Q' in dselect quits without saving changes
    (really 'X').
  * Revert to current 'stable' behaviour of Space/Enter/'Q' in the dselect
    help screen, Space leaves the help screen and Enter and 'Q' do nothing.
    It's dangerous to encourage users to press Enter or 'Q' since they
    commit changes in the package selection screen.

  * New Translations (Christian Perrier):
    - Basque (Piarres Beobide Egaña).  Closes: #281245.
      (Was really added in 1.10.24, but forgotten from ALL_LINGUAS.)
    - Bosnian (Safir Šećerović).
    - Slovak (benco).  Closes: #284896, #289341
    - Traditional Chinese (Asho Yeh).  Closes: #287375.
  * Updated Translations (Christian Perrier):
    - Brazilian Portuguese (André Luís Lopes).  Closes: #281228.
    - Catalan (Jordi Mallach).  Closes: #281333.
    - Czech (Miroslav Kure).  Closes: #281231.
    - Danish (Claus Hindsgaul).  Closes: #281103.
    - Dutch (Christian Perrier).  Closes: #282087.
    - Galician (Héctor Fernéndez López).
    - German (Michael Piefel).  Closes: #281503.
    - Italian (Stefano Canepa). Closes: #282543.
    - Japanese (Kenshi Muto).  Closes: #281144.
    - Korean (Changwoo Ryu).  Closes: #282246.
    - Norwegian Nynorsk (Håvard Korsvoll).  Closes: #281456.
    - Polish (Bartosz Feñski).
    - Portuguese (Miguel Figueiredo).  Closes: #281122, #289359.
    - Russian (Yuri Kozlov).  Closes: #281166.
    - Simplified Chinese (Tchaikov, Carlos Liu).
    - Spanish (Javier Fernández-Sanguino Peña).  Closes: #281117.
    - Swedish (Peter Karlsson).  Closes: #281165.

 -- Scott James Remnant <scott@netsplit.com>  Tue, 11 Jan 2005 16:26:51 +0000

## dpkg 1.10.27ubuntu1.1

=== debian/changelog ===
dpkg (1.10.27ubuntu1.1) hoary-security; urgency=low

  * SECURITY UPDATE: Rebuild against new zlib version to fix zlib
    vulnerabilities CAN-2005-1849 and CAN-2005-2096.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 21 Jul 2005 11:45:24 +0000

## dpkg 1.10.27ubuntu2

=== debian/changelog ===
dpkg (1.10.27ubuntu2) hoary-updates; urgency=low

  * When copying the forward dependency tree on unpack, blank the version
    field of each unversioned dependency rather than leaving it
    uninitialised.  Closes: Ubuntu #13306.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Aug 2005 10:02:57 +0100

## dpkg 1.10.28

=== dpkg-deb/Makefile ===


srcdir		= .
top_srcdir	= ..
top_builddir	= ..


default: all

include ../Makefile.conf


SOURCES		= build.c extract.c info.c main.c

OBJECTS		= $(patsubst %.c, %.o, $(SOURCES))
GENFILES	= $(OBJECTS) dpkg-deb dpkg-deb-static

.PHONY: all
all:: dpkg-deb
ifdef ALSO_STATIC
all:: dpkg-deb-static
endif

.PHONY: install
install:: all

.PHONY: clean
clean::
	-$(RM) $(GENFILES)

.PHONY: distclean
cvslean:: clean
	$(RM) Makefile

.PHONY: install
install:: install-program install-doc

.PHONY: install-program
install-program:
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	$(INSTALL) dpkg-deb $(DESTDIR)$(bindir)
ifdef ALSO_STATIC
	$(INSTALL) dpkg-deb-static $(DESTDIR)$(bindir)
endif

.PHONY: install-doc
install-doc:
	$(mkinstalldirs) $(DESTDIR)$(man1dir)
	$(INSTALL_DATA) $(srcdir)/dpkg-deb.1 $(DESTDIR)$(man1dir)

dpkg-deb-static: LDFLAGS += -static
dpkg-deb-static: ZLIB_LIBS = $(ZLIB_LIBS_ALSO_STATIC)
dpkg-deb-static: BZ2LIB_LIBS = $(BZ2LIB_LIBS_ALSO_STATIC)
dpkg-deb dpkg-deb-static: $(OBJECTS) ../lib/libdpkg.a
	$(CC) $(LDFLAGS) -o $@ $(OBJECTS) $(LIBS) $(NLS_LIBS)

=== dselect/Makefile ===

srcdir		= .
top_srcdir	= ..
top_builddir	= ..

default: all
include ../Makefile.conf

CXX_SOURCES	= basecmds.cc baselist.cc basetop.cc bindings.cc curkeys.cc \
		  main.cc methkeys.cc methlist.cc method.cc methparse.cc \
		  pkgcmds.cc pkgdepcon.cc pkgdisplay.cc pkginfo.cc pkgkeys.cc \
		  pkglist.cc pkgsublist.cc pkgtop.cc helpmsgs.cc

MAN8PAGES	= dselect.8

OBJECTS		= $(patsubst %.cc, %.o, $(CXX_SOURCES))
GENFILES	= $(OBJECTS) dselect curkeys.h

.PHONY: all
all:: dselect

.PHONY: install
install:: all

.PHONY: clean
clean::
	$(RM) $(GENFILES)

.PHONY: distclean
cvslean:: clean
	$(RM) Makefile

.PHONY: install
install:: install-program install-doc

.PHONY: install-program
install-program:
	$(mkinstalldirs) $(DESTDIR)/$(bindir)
	$(INSTALL_PROGRAM) dselect $(DESTDIR)/$(bindir)

.PHONY: install-doc
install-doc:
	$(mkinstalldirs) $(DESTDIR)/$(man8dir)
	set -e ; for i in $(MAN8PAGES) ; do \
	    if test -f $$i ; then d= ; else d="$(srcdir)/" ; fi ; \
	    $(INSTALL_DATA) $$d$$i $(DESTDIR)/$(man8dir) ; \
	done

dselect: $(OBJECTS) ../lib/libdpkg.a
	$(CXX) $(LDFLAGS) -o $@ $(OBJECTS) $(CURSES_LIBS) $(LIBS) $(NLS_LIBS)

basecmds.o: helpmsgs.h
curkeys.o: curkeys.h

curkeys.h: keyoverride $(srcdir)/mkcurkeys.pl
	cursesfile=`echo '#include <curses.h>' | \
		 $(CC) -E - | grep 'curses.h' | head -n 1 | \
		 $(SED) -e 's/^[^"]*"//; s/".*$$//'`; \
	if [ "$$cursesfile" = "" ]; then echo "can't find curses file"; exit 1; fi; \
	perl $(srcdir)/mkcurkeys.pl $< $$cursesfile > $@

=== include/Makefile ===


srcdir		= .

GENFILES	= dpkg.h

default: all
include ../Makefile.conf

all:: $(GENFILES)
	
install:: all

clean::
	rm -f $(GENFILES) 

cvslean:: clean
	rm -f Makefile

dpkg.h: dpkg.h.in
	sed -e 's,#CONFIGDIR#,$(dpkgconfdir),' \
		-e 's,#ADMINDIR#,$(admindir),' \
		-e 's,#LIBDIR#,$(dpkglibdir),' $< > $@

.PHONY: all install clean distclean

=== lib/Makefile ===


srcdir		= .
top_srcdir	= ..

default: all
include ../Makefile.conf

SOURCES		= compat.c compression.c database.c dbmodify.c dump.c \
		    ehandle.c fields.c lock.c mlib.c myopt.c nfmalloc.c \
		    parse.c parsehelp.c showcright.c showpkg.c tarfn.c \
		    varbuf.c vercmp.c md5.c utils.c

OBJECTS		= $(patsubst %.c, %.o, $(SOURCES))
GENFILES	= $(OBJECTS) libdpkg.a

ALL_CFLAGS	+= -DCOPYINGFILE=\"$(copyingfile)\"

.PHONY: all
all:: libdpkg.a

libdpkg.a: $(OBJECTS) 
	$(AR) r $@ $^
	$(RANLIB) $@

.PHONY: install
install:: all

.PHONY: clean
clean::
	$(RM) $(GENFILES)


.PHONY: distclean
cvslean:: clean
	$(RM) Makefile

=== main/Makefile ===

srcdir		= .
top_srcdir	= ..
top_builddir	= ..

default: all
include ../Makefile.conf

SOURCES		= main.c enquiry.c filesdb.c archives.c processarc.c \
		  cleanup.c select.c packages.c configure.c remove.c \
		  help.c depcon.c errors.c update.c 

MAN8PAGES	= dpkg.8 dpkg-query.8

OBJECTS		= $(patsubst %.c, %.o, $(SOURCES))
GENFILES	= $(OBJECTS) archtable.h dpkg dpkg-static

QUERY_SOURCES	= query.c filesdb.c errors.c 
QUERY_OBJECTS	= $(patsubst %.c, %.o, $(QUERY_SOURCES))
QUERY_GENFILES	= $(QUERY_OBJECTS) dpkg-query

.PHONY: all
all:: dpkg dpkg-query

ifdef ALSO_STATIC
all:: dpkg-static
endif

.PHONY: install
install:: all

.PHONY: clean
clean::
	$(RM) $(GENFILES) $(QUERY_GENFILES)

.PHONY: distclean
cvslean:: clean
	$(RM) Makefile

.PHONY: install
install:: install-program install-doc

.PHONY: install-program
install-program:
	$(mkinstalldirs) $(DESTDIR)/$(bindir)
	$(INSTALL_PROGRAM) dpkg $(DESTDIR)/$(bindir)
ifdef ALSO_STATIC
	$(INSTALL_PROGRAM) dpkg-static $(DESTDIR)/$(bindir)
endif
	$(INSTALL_PROGRAM) dpkg-query $(DESTDIR)/$(bindir)
	$(mkinstalldirs) $(DESTDIR)/$(admindir)/alternatives
	$(mkinstalldirs) $(DESTDIR)/$(admindir)/info
	$(mkinstalldirs) $(DESTDIR)/$(admindir)/updates

.PHONY: install-doc
install-doc:
	$(mkinstalldirs) $(DESTDIR)/$(man8dir)
	set -e ; for i in $(MAN8PAGES) ; do \
	    if test -f $$i ; then d= ; else d="$(srcdir)/" ; fi ; \
	    $(INSTALL_DATA) $$d$$i $(DESTDIR)/$(man8dir) ; \
	done

dpkg-static: LDFLAGS += -static
dpkg-static: ZLIB_LIBS = $(ZLIBS_LIBS_ALSO_STATIC)
dpkg dpkg-static: $(OBJECTS) ../lib/libdpkg.a
	$(CC) $(LDFLAGS) -o $@ $(OBJECTS) $(LIBS) $(NLS_LIBS)

dpkg-query: $(QUERY_OBJECTS) ../lib/libdpkg.a
	$(CC) $(LDFLAGS) -o $@ $(QUERY_OBJECTS) $(LIBS) $(NLS_LIBS)

enquiry.o: archtable.h

archtable.h: $(top_srcdir)/archtable
	expand $< | \
	 perl -ne 'print "  { \"$$1\",$$2\"$$3\",$$4\"$$5\" },\n" \
		   if m/^(?!\s*#)\s*(\S+)(\s+)(\S+)(\s+)(\S+)\s*$$/' \
		>$@

=== methods/Makefile ===

srcdir		= .
top_srcdir	= ..

default: all
include ../Makefile.conf

# Available methods
METHODS			= disk floppy
# Scripts each method must have
METHOD_SCRIPTS		= setup update install

.PHONY: all
all:: 

.PHONY: install
install:: all install-program install-doc

.PHONY: clean
clean::

.PHONY: distclean
cvslean:: clean
	$(RM) Makefile

.PHONY: install-program
install-program:
	$(mkinstalldirs) $(DESTDIR)$(methodsdir)
	$(mkinstalldirs) $(DESTDIR)$(admindir)/methods/mnt
	set -e ; for m in $(METHODS) ; do \
		$(mkinstalldirs) $(DESTDIR)$(admindir)/methods/$$m ; \
		$(mkinstalldirs) $(DESTDIR)$(methodsdir)/$$m ; \
		for s in $(METHOD_SCRIPTS) ; do \
		    	$(INSTALL_SCRIPT) $(srcdir)/$$m.$$s $(DESTDIR)$(methodsdir)/$$m/$$s ; \
		done ; \
		$(INSTALL_DATA) $(srcdir)/$$m.names $(DESTDIR)$(methodsdir)/$$m/names ; \
		for n in `cut -d ' ' -f 2 $(srcdir)/$$m.names` ; do \
			rn=`echo $$n | $(SED) -e 's,\.,/,'` ; \
			$(INSTALL_DATA) $(srcdir)/$$m.desc.$$n $(DESTDIR)$(methodsdir)/$$m/desc.$$n ; \
		done ; \
	done

.PHONY: install-doc
install-doc:

=== optlib/Makefile ===

srcdir		= .
top_srcdir	= ..

default: all
include ../Makefile.conf

SOURCES		= getopt.c getopt1.c long-options.c closeout.c obstack.c

OBJECTS		= $(patsubst %.c, %.o, $(SOURCES))
GENFILES	= $(OBJECTS) libopt.a

.PHONY: all
all:: libopt.a
	
libopt.a: $(OBJECTS)
	$(AR) r $@ $^
	$(RANLIB) $@

.PHONY: install
install:: all

.PHONY: clean
clean::
	$(RM) $(GENFILES)


.PHONY: distclean
cvslean:: clean
	$(RM) Makefile

=== scripts/Makefile ===

srcdir		= .
top_srcdir	= ..

default: all
include ../Makefile.conf

BIN_SCRIPTS		= dpkg-name dpkg-source dpkg-genchanges \
			  dpkg-gencontrol dpkg-shlibdeps dpkg-buildpackage \
			  dpkg-parsechangelog dpkg-distaddfile 822-date \
			  dpkg-scanpackages dpkg-scansources \
			  dpkg-architecture dpkg-checkbuilddeps

SBIN_SCRIPTS		= update-alternatives install-info \
			  dpkg-divert dpkg-statoverride cleanup-info

MAN1PAGES		= dpkg-name.1 dpkg-source.1 822-date.1 \
			  dpkg-checkbuilddeps.1 dpkg-scanpackages.1 \
			  dpkg-scansources.1
MAN8PAGES		= update-alternatives.8 install-info.8  \
			  cleanup-info.8 dpkg-divert.8 dpkg-statoverride.8

CHANGELOG_PARSERS	= cl-debian

SCRIPTLIBS		= controllib.pl

GEN_MAN1PAGES		= dpkg-architecture.1 dpkg-scansources.1

MAN_SOURCE_ALIASES	= dpkg-gencontrol.1 dpkg-genchanges.1 dpkg-buildpackage.1 \
			  dpkg-distaddfile.1 dpkg-parsechangelog.1 dpkg-shlibdeps.1

GENFILES		= $(CHANGELOG_PARSERS) $(BIN_SCRIPTS) $(SBIN_SCRIPTS) $(GEN_MAN1PAGES)

.PHONY: all
all:: $(GENFILES)

.PHONY: install
install:: all install-program install-doc

.PHONY: clean
clean::
	$(RM) $(GENFILES)

.PHONY: distclean
cvslean:: clean
	$(RM) Makefile

.PHONY: install-program
install-program:
	$(mkinstalldirs) $(DESTDIR)/$(bindir)
	set -e ; for i in $(BIN_SCRIPTS) ; do \
		if test -f $$i ; then d= ; else d="$(srcdir)/" ; fi ; \
		$(INSTALL_SCRIPT) $$d$$i $(DESTDIR)/$(bindir) ; \
	done
	$(mkinstalldirs) $(DESTDIR)/$(sbindir)
	set -e ; for i in $(SBIN_SCRIPTS) ; do \
		if test -f $$i ; then d= ; else d="$(srcdir)/" ; fi ; \
		$(INSTALL_SCRIPT) $$d$$i $(DESTDIR)/$(sbindir) ; \
	done
	$(mkinstalldirs) $(DESTDIR)/$(alternativesdir)
	$(INSTALL_DATA) $(srcdir)/README.alternatives \
		$(DESTDIR)/$(alternativesdir)/README
	$(mkinstalldirs) $(DESTDIR)/$(parsechangelogdir)
	set -e ; for i in $(CHANGELOG_PARSERS) ; do \
		if test -f $$i ; then d= ; else d="$(srcdir)/" ; fi ; \
		rn=`echo $$i | $(SED) -e 's/^cl-//'` ; \
		$(INSTALL_SCRIPT) $$d$$i $(DESTDIR)/$(parsechangelogdir)/$$rn ; \
	done
	$(mkinstalldirs) $(DESTDIR)/$(dpkglibdir)
	set -e ; for i in $(SCRIPTLIBS) ; do \
		if test -f $$i ; then d= ; else d="$(srcdir)/" ; fi ; \
		$(INSTALL_DATA) $$d$$i $(DESTDIR)/$(dpkglibdir) ; \
	done

.PHONY: install-doc
install-doc:
	$(mkinstalldirs) $(DESTDIR)/$(man1dir)
	set -e ; for i in $(MAN1PAGES) $(GEN_MAN1PAGES) ; do \
		if test -f $$i ; then d= ; else d="$(srcdir)/" ; fi ; \
		$(INSTALL_DATA) $$d$$i $(DESTDIR)/$(man1dir) ; \
	done
	set -e ; for i in $(MAN_SOURCE_ALIASES) ; do \
		echo ".so man1/dpkg-source.1" > $(DESTDIR)$(man1dir)/$$i ; \
		chmod 644 $(DESTDIR)$(man1dir)/$$i ; \
	done
	$(mkinstalldirs) $(DESTDIR)/$(man8dir)
	set -e ; for i in $(MAN8PAGES) $(GEN_MAN8PAGES) ; do \
		if test -f $$i ; then d= ; else d="$(srcdir)/" ; fi ; \
		$(INSTALL_DATA) $$d$$i $(DESTDIR)/$(man8dir) ; \
	done


%.1: $(srcdir)/%.pl
	pod2man --section=1 $^ > $@

%: %.pl
	$(SED) -e "s:^#![:space:]*/usr/bin/perl:#! $(PERL):; \
		s:\$$dpkglibdir[[:space:]]*=[[:space:]]*['\"][^'\"]*['\"]:\$$dpkglibdir=\"$(dpkglibdir)\":; \
		s:\$$admindir[[:space:]]*=[[:space:]]*['\"][^'\"]*['\"]:\$$admindir=\"$(admindir)\":; \
		s:\$$version[[:space:]]*=[[:space:]]*['\"][^'\"]*[\"']:\$$version=\"$(VERSION)\":" \
		< $< > $@

%: %.sh 
	$(SED) -e "s:version=\"[^\"]*\":version=\"$(VERSION)\":" \
		< $< > $@

=== split/Makefile ===


srcdir		= .
top_srcdir	= ..

default: all
include ../Makefile.conf

SPLIT_SOURCES		= queue.c split.c info.c join.c main.c
SPLIT_OBJECTS		= $(patsubst %.c, %.o, $(SPLIT_SOURCES))

GENFILES		= $(SPLIT_OBJECTS) dpkg-split

.PHONY: all
all:: dpkg-split

.PHONY: install
install:: all

.PHONY: clean
clean::
	$(RM) $(GENFILES)

.PHONY: distclean
cvslean:: clean
	$(RM) Makefile

.PHONY: install
install:: install-program install-doc

.PHONY: install-program
install-program:
	$(mkinstalldirs) $(DESTDIR)/$(bindir)
	$(INSTALL) dpkg-split $(DESTDIR)$(bindir)
	$(mkinstalldirs) $(DESTDIR)/$(admindir)/parts
	$(mkinstalldirs) $(DESTDIR)/$(dpkglibdir)
	$(INSTALL) $(srcdir)/mksplit.pl $(DESTDIR)/$(dpkglibdir)/mksplit

.PHONY: install-doc
install-doc:
	$(mkinstalldirs) $(DESTDIR)/$(man8dir)
	$(INSTALL_DATA) $(srcdir)/dpkg-split.8 $(DESTDIR)/$(man8dir)

dpkg-split: $(SPLIT_OBJECTS) 
	$(CC) $(LDFLAGS) -o $@ $(SPLIT_OBJECTS) $(LIBS) $(NLS_LIBS)

split.o: split.c
	$(CC) $(ALL_CFLAGS) -DMKSPLITSCRIPT=\"$(dpkglibdir)/mksplit\" -c $<

=== utils/Makefile ===


srcdir		= .
top_srcdir	= ..

default: all
include ../Makefile.conf

CFLAGS			+= -I$(top_srcdir)/optlib

SSD_SOURCES		= start-stop-daemon.c
SSD_OBJECTS		= $(patsubst %.c, %.o, $(SSD_SOURCES))
SSD_MANPAGES		= start-stop-daemon.8

MD5_SOURCES		= md5sum.c
MD5_OBJECTS		= $(patsubst %.c, %.o, $(MD5_SOURCES))
MD5_MANPAGES		= md5sum.1

ENOENT_SOURCES		= enoent.c
ENOENT_OBJECTS		= $(patsubst %.c, %.o, $(ENOENT_SOURCES))

GENFILES		= $(MD5_OBJECTS) md5sum md5sum-static $(ENOENT_OBJECTS) enoent
ifeq (true, true)
GENFILES		+= $(SSD_OBJECTS) start-stop-daemon
endif

.PHONY: all
ifeq (true, true)
all:: start-stop-daemon md5sum enoent
else
all:: md5sum enoent
endif

.PHONY: install
install:: all
ifdef ALSO_STATIC
all:: md5sum-static
endif

.PHONY: clean
clean::
	$(RM) $(GENFILES)

.PHONY: distclean
cvslean:: clean
	$(RM) Makefile confdefs.h config.log

.PHONY: install
install:: install-program install-doc

.PHONY: install-program
install-program:
ifeq (true, true)
	$(mkinstalldirs) $(DESTDIR)/$(sbindir)
	$(INSTALL_PROGRAM) start-stop-daemon $(DESTDIR)/$(sbindir)
endif
	$(mkinstalldirs) $(DESTDIR)/$(bindir)
	$(INSTALL_PROGRAM) md5sum $(DESTDIR)/$(bindir)
ifdef ALSO_STATIC
	$(INSTALL_PROGRAM) md5sum-static $(DESTDIR)/$(bindir)
endif
	$(mkinstalldirs) $(DESTDIR)/$(dpkglibdir)
	$(INSTALL_PROGRAM) enoent $(DESTDIR)/$(dpkglibdir)

.PHONY: install-doc
install-doc:
ifeq (true, true)
	$(mkinstalldirs) $(DESTDIR)/$(man8dir)
	$(INSTALL_DATA) $(srcdir)/$(SSD_MANPAGES) $(DESTDIR)/$(man8dir)
endif
	$(mkinstalldirs) $(DESTDIR)/$(man1dir)
	$(INSTALL_DATA) $(srcdir)/$(MD5_MANPAGES) $(DESTDIR)/$(man1dir)

start-stop-daemon: $(SSD_OBJECTS) ../lib/libdpkg.a
	$(CC) $(LDFLAGS) -o $@ $(SSD_OBJECTS) $(LIBS) $(SSD_LIBS)

md5sum-static: LDFLAGS += -static
md5sum-static: ZLIB_LIBS = $(ZLIBS_LIBS_ALSO_STATIC)
md5sum md5sum-static: $(MD5_OBJECTS) ../lib/libdpkg.a
	$(CC) $(LDFLAGS) -o $@ $(MD5_OBJECTS) $(LIBS) $(NLS_LIBS)

=== debian/changelog ===
dpkg (1.10.28) unstable; urgency=low
  
  The "Awh, yeah?  Ripper!" Release.

  * New Translations (Christian Perrier):
    - Romanian (Eddy Petrisor).  Closes: #309714.
    - Tagalog (Eric Pareja).  Closes: #296407.
  * Updated Translations (Christian Perrier):
    - French (Christian Perrier).
    - Greek (Konstantinos Margaritis).  Closes: #295922
    - Indonesian (Arief S Fitrianto).  Closes: #296733
  * Updated Manpage Translations (Christian Perrier):
    - French (Philippe Batailler).
    - Syntax error corrected in Brazilian Portuguese man page for
      update-alternatives.  Closes: #300646

 -- Scott James Remnant <scott@netsplit.com>  Thu, 26 May 2005 18:18:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: dpkg
 Section: base
 Priority: required
-Maintainer: Scott James Remnant <scott@netsplit.com>
+Maintainer: Dpkg Development <debian-dpkg@lists.debian.org>
+Uploaders: Scott James Remnant <scott@netsplit.com>
 Origin: debian
 Bugs: debbugs://bugs.debian.org
 Standards-Version: 3.5.8
-Build-Depends: debiandoc-sgml, sgml-base (>= 1.9.1), sgmltools-lite, libncurses-dev, gettext (>= 0.12.1-3), zlib1g-dev (>= 1:1.1.3-19.1), autotools-dev
+Build-Depends: debiandoc-sgml, sgml-base (>= 1.9.1), sgmltools-lite, libncurses-dev, gettext (>= 0.12.1-3), zlib1g-dev (>= 1:1.1.3-19.1), libbz2-dev, autotools-dev
 
 Package: dpkg
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -60,6 +60,7 @@
 		--localstatedir=/var/lib \
 		--with-admindir=/var/lib/dpkg \
 		--with-zlib=static \
+		--with-bz2lib=static \
 		--with-static-progs \
 		$(config_arg)
 	touch $@

## dpkg 1.13.10ubuntu4

=== debian/changelog ===
dpkg (1.13.10ubuntu4) breezy; urgency=low

  * Don't consider it a file conflict if the package contains
    a symlink to a directory where another package already contains the
    same symlink/directory and the existing and new symlinks point to the
    same place.  Ubuntu 16133.

 -- Ian Jackson <iwj@ubuntu.com>  Sat, 24 Sep 2005 18:07:25 +0100

dpkg (1.13.10ubuntu3) breezy; urgency=low

  * Improve processing of disappearing conffiles.
    This is part of the fix for Debian bug #108587.

 -- Ian Jackson <iwj@ubuntu.com>  Tue, 13 Sep 2005 19:32:44 +0100

dpkg (1.13.10ubuntu2) breezy; urgency=low

  Merged fixes from 1.13.11:
  * Re-worked dpkg-source -x to allow all manner of strange things maintainers
    seem to do, unpacking isn't the right place to enforce sanity; we'll
    do it in -b later on >:-).
  * Fixed castration of potentially unsafe devices to not follow symlinks.
  * Marked log file descriptor as close-on-exec.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 25 Aug 2005 02:04:45 +0100

dpkg (1.13.10ubuntu1) breezy; urgency=low

  * When copying the forward dependency tree on unpack, blank the version
    field of each unversioned dependency rather than leaving it
    uninitialised.  Closes: Ubuntu #13306.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 11 Aug 2005 17:30:22 +0100

dpkg (1.13.10) unstable; urgency=low
  
  The "Bully's Special Prize" Release.

  * Removed /usr/sbin/start-stop-daemon.  Closes: #313400.
  * Fixed md5sum diversion removal.  Closes: #313415.
  * Fixed dpkg-source to handle native tarballs with a Debian revision.
    Closes: #313381, #313433.
  * Fixed upgrade from pre-sarge dpkg outside of dselect.  Closes: #314575.
  * Changed log times to be local rather than UTC.  Closes: #313347.
  * Changed log writing to be line-buffered.  Closes: #314550.
  * Moved log creation to postinst, and don't fail if base-passwd hasn't
    been configured yet.  Closes: #316084.
  * Don't try to compile in SELinux support on Hurd.  Closes: #313398.
  * Place code for SELinux support in the right place so it will actually
    get compiled in and used (Manoj Srivastava).  Closes: #314886.

  * Documentation:
    - Added missing word to dpkg-architecture manpage.  Closes: #313554.
    - Reference to dpkg manpage in dpkg.cfg corrected.  Closes: #314262.
  * Updated Translations (Christian Perrier):
    - Basque (Piarres Beobide Egana).  Closes: #313474.
    - Catalan (Jordi Mallach).  Closes: #313288.
    - Czech (Miroslav Kure).  Closes: #314431.
    - Danish (Claus Hindsgaul).
    - French (Christian Perrier).
    - German (Jens Seidel).  Closes: #314125.
    - Greek (Greek team).  Closes: #314828.
    - Italian (Lele Gaifax).
    - Japanese (Kenshi Muto).  Closes: #313330.
    - Russian (Yuri Kozlov).  Closes: #313620.
  * Hebrew translation de-activated on request of the translator until there
    is better support for RTL languages.  Closes: #313282.

 -- Scott James Remnant <scott@netsplit.com>  Tue, 28 Jun 2005 14:19:06 +0100

dpkg (1.13.9) unstable; urgency=low
  
  The "On like Donkey Kong" Release.

  * Only open the log file when we first need to write to it, this avoids
    the need to suppress errors when not root which fakeroot defeated anyway.
  * Stop dpkg-source clobbering an existing .orig directory during unpacking.
    Closes: #21236.
  * Allow an alternate output directory to be specified to dpkg-source by
    giving a second argument to -x.  Closes: #246802, #282323.
  * Added .arch-inventory to default diff ignore regexp.  Closes: #304297.

  SELinux support (Manoj Srivastava):
  * On SELinux-enabled systems, try to set the security context when the
    package is unpacked.  Closes: #193653, #249496, #307139.
  * Added build-dependancy on libselinux1-dev.

  Improvements to dpkg-source (Brendan O'Dea):
  * Support unpacking of "Wig And Pen" (Format 2.0) source packages.
  * Multiple pristine upstream tarballs allowed.
  * Native and upstream tarballs may be bzip2-compressed instead of gzip,
    as may the debian diff or tarball.
  * Unsupported format error fixed to output the unsupported format
    rather than the supported one.  Closes: #156317.

 -- Scott James Remnant <scott@netsplit.com>  Sun, 12 Jun 2005 15:52:43 +0100

dpkg (1.13.8) experimental; urgency=low
  
  The "In like Flynn" Release.

  * Linux 2.6.12 changed the behaviour of mmap to fail and set EINVAL when
    given a zero length, rather than returning NULL.  This is POSIXly
    correct, so handle zero-length package control files (like available).

 -- Scott James Remnant <scott@netsplit.com>  Fri, 10 Jun 2005 07:39:44 +0100

dpkg (1.13.7) experimental; urgency=low
  
  The "Maidenhead Creeping Water Plant" Release.

  * Reduced inability to open a log file to a warning, suppressed for
    non-root operations.  Closes: #312383.

 -- Scott James Remnant <scott@netsplit.com>  Thu,  9 Jun 2005 06:12:56 +0100

dpkg (1.13.6) experimental; urgency=low
  
  The "Just kidding about the God part" Release.

  * Fixed incorrect installation location of /etc/logrotate.d/dpkg caused
    by a mis-understanding of dh_install's abilities.

 -- Scott James Remnant <scott@netsplit.com>  Mon,  6 Jun 2005 05:58:36 +0100

dpkg (1.13.5) experimental; urgency=low
  
  The "Flatulent Elm of West Ruislip" Release.

  * Actions and package states are now logged by default in the
    /var/log/dpkg.log file.  This file is rotated monthly and can be
    disabled by commenting the line in /etc/dpkg/dpkg.cfg.
  * User decisions about conffiles are now logged.
  * dpkg-source no longer complains about Enhances field.  Closes: #159642,
    #159745, #159746.
  * preinst no longer relies on procps being installed.  Closes: #311808.

  * Architecture Support:
    - Change DEB_*_GNU_CPU from i386 to i486, to reflect reality.
      DEB_*_ARCH_CPU remains at i386, you should be checking against that.
      Closes: #310394.
    - Fixed order ostable is read to prevent Linux becoming the Hurd.
      Closes: #309603.


=== debian/control ===
Source: dpkg
Section: base
Priority: required
Maintainer: Scott James Remnant <scott@netsplit.com>
Origin: debian
Bugs: debbugs://bugs.debian.org
Standards-Version: 3.6.1.0
Build-Depends: debhelper (>= 4.1.81), libncurses5-dev | libncurses-dev, zlib1g-dev (>= 1:1.1.3-19.1), libbz2-dev, libselinux1-dev [!hurd-i386]

Package: dpkg
Architecture: any
Essential: yes
Pre-Depends: ${shlibs:Depends}
Depends: coreutils | textutils (>= 2.0-3)
Conflicts: sysvinit (<< 2.82-1), dpkg-iasearch (<< 0.11), dpkg-static, dpkg-dev (<< 1.10)
Replaces: dpkg-doc-ja, dpkg-static, manpages-de (<= 0.4-3)
Suggests: apt
Description: Package maintenance system for Debian
 This package contains the low-level commands for handling the installation
 and removal of packages on your system.
 .
 In order to unpack and build Debian source packages you will need to
 install the developers' package `dpkg-dev' as well as this one.

Package: dpkg-dev
Section: utils
Priority: standard
Architecture: all
Depends: dpkg (>= 1.13.1), perl5, perl-modules, cpio (>= 2.4.2-2), patch (>= 2.2-1), make, binutils
Recommends: gcc | c-compiler, bzip2
Suggests: gnupg, debian-keyring
Conflicts: dpkgname
Replaces: dpkgname, dpkg (<< 1.4.1.8), dpkg-doc-ja
Description: Package building tools for Debian
 This package contains the tools (including dpkg-source) required to
 unpack, build and upload Debian source packages.
 .
 Most Debian source packages will require additional tools to build -
 for example, most packages need the `make' and the C compiler `gcc'.

Package: dselect
Architecture: any
Depends: ${shlibs:Depends}, dpkg (>= 1.13.1)
Replaces: dpkg (<< 1.10.3)
Description: a user tool to manage Debian packages
 dselect is an interface for managing the installation and removal of
 packages on your system.
 .
 Many users find dselect intimidating and new users may prefer to use
 `apt'-based user interfaces.
